#ifndef _WRAPPER_STAT_H
#define _WRAPPER_STAT_H

/*
 * $Id: stat.h 1.3 2000/12/25 11:49:44 olsen Exp olsen $
 *
 * :ts=4
 *
 * AmigaOS wrapper routines for Samba 2.0.0, using the AmiTCP V3 API
 * and the SAS/C V6.58 compiler.
 *
 * Copyright (C) 1999-2000 by Olaf `Olsen' Barthel <olsen@sourcery.han.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/****************************************************************************/

#include <sys/types.h>
#include <sys/commifmt.h>
#include <time.h>

struct stat
{
	dev_t	st_dev;		/* inode's device */
	ino_t	st_ino;		/* inode's number */
	mode_t	st_mode;	/* inode protection mode */
	u_short	st_nlink;	/* number of hard links */
	uid_t	st_uid;		/* user ID of the file's owner */
	gid_t	st_gid;		/* group ID of the file's group */
	u_long	st_rdev;	/* device type */
	off_t	st_size;	/* file size, in bytes */
	time_t	st_atime;	/* time of last access */
	time_t	st_mtime;	/* time of last data modification */
	time_t	st_ctime;	/* time of last file status change */
	long	st_blksize;	/* optimal blocksize for I/O */
	long	st_blocks;	/* blocks allocated for file */
};

/****************************************************************************/

struct statfs
{
	long f_fsize;		/* fundamental file system block size */
	long f_bsize;		/* optimal transfer block size */
	long f_blocks;		/* total data blocks in file system */
	long f_bfree;		/* free blocks in fs */
	long f_bavail;		/* free blocks avail to non-superuser */
	long f_spare[9];	/* spare for later */
};

/****************************************************************************/

#endif /* _WRAPPER_STAT_H */
